aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLinus Jahn <lnj@kaidan.im>2020-12-26 21:34:03 +0100
committerLinus Jahn <lnj@kaidan.im>2020-12-26 23:23:40 +0100
commitb42bfff60ecee7c0ae3e90dc63bd558f04eb3ab6 (patch)
tree7693e1b765409768096af70638502548da037bca
parent1ebb3817933749c2a59a0dd317b5593e64afe780 (diff)
downloadqxmpp-b42bfff60ecee7c0ae3e90dc63bd558f04eb3ab6.tar.gz
github-ci: macOS: Fix python installation
-rwxr-xr-xtests/travis/install-build-depends5
1 files changed, 3 insertions, 2 deletions
diff --git a/tests/travis/install-build-depends b/tests/travis/install-build-depends
index 0a4497a0..1522ad42 100755
--- a/tests/travis/install-build-depends
+++ b/tests/travis/install-build-depends
@@ -3,8 +3,9 @@ set -e
if [ "$(uname -s)" = "Darwin" ]; then
brew update
- brew unlink python@3.8
- brew install python@3.9
+ brew unlink python@3
+ brew install python@3 || true
+ brew link --overwrite python@3
case "$CONFIG" in
full*)